Subject: Re: bug#30890: Hash mismatch for /gnu/store/bvbs19jg8497ca73i82xmrjspd83lvs2-usb.ids

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 21 Mar 2018 12:10:50 +0100

Hi Vivien,

> I have just finished guix pulling again and the hash is not right:
>
> Starting download of /gnu/store/bvbs19jg8497ca73i82xmrjspd83lvs2-
> usb.ids
> From https://svn.code.sf.net/p/linux-usb/repo/trunk/htdocs/usb.ids?r=15
> 51...
> following redirection to `http://svn.code.sf.net/p/linux-usb/repo/trunk
> /htdocs/usb.ids?p=1551'...
> usb.ids97KiB136KiB/s 00:01
> [##################] 100.0%
> sha256 hash mismatch for output path
> `/gnu/store/bvbs19jg8497ca73i82xmrjspd83lvs2-usb.ids'
>  expected: 17rg5i0wbyk289gr8v4kgvnc9q5bidz7ldcvv9x58l083wn16hq3
>  actual:1wzkaan87ncx80hgddii01cqk5gw8mrm5kb2xf6w9fwa4h53gin5
> cannot build derivation `/gnu/store/a12yb6kqv3c6s79xf6l448jb4cs8pk7s-
> libosinfo-1.0.0.drv': 1 dependencies couldn't be built
> guix package: error: build failed: build of
> `/gnu/store/a12yb6kqv3c6s79xf6l448jb4cs8pk7s-libosinfo-1.0.0.drv'
> failed
>
> Did you have a problem with the hash?

Odd.  No, I downloaded it without problems and the hash was fine.  Now I
cannot access the URL any more.  Could it be more problems with
sourceforge (again)?

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net